interleaved_bad_slices(1)

NAME
interleaved_bad_slices - Find bad slices in a time series of interleaved images (e.g., a resting-state fMRI series).

SYNOPSIS
interleaved_bad_slices ImagePaths

DESCRIPTION
This tool reads a time series of 3D images and detects outliers.

OPTIONS

  Global Toolkit Options (these are shared by all CMTK tools)

--help
    Write list of basic command line options to standard output.

--help-all
    Write complete list of basic and advanced command line options to standard output.

--wiki
    Write list of command line options to standard output in MediaWiki markup.

--man
    Write man page source in 'nroff' markup to standard output.

--version
    Write toolkit version to standard output.

--echo
    Write the current command line to standard output.

--verbose-level <integer>
    Set verbosity level.

--verbose, -v
    Increment verbosity level by 1 (deprecated; supported for backward compatibility).

--threads <integer>
    Set maximum number of parallel threads (for POSIX threads and OpenMP).

  Input Options

--slice-orientation
    Define slice orientation of the diffusion images. Supported values: "axial", "sagittal", "coronal", "slice-x", "slice-y", "slice-z", where the default is "axial", or use one of the following:

    --axial
        Axial slices [This is the default]

    --sagittal
        Sagittal slices

    --coronal
        Coronal slices

    --slice-x
        X coordinate axis is slice direction

    --slice-y
        Y coordinate axis is slice direction

    --slice-z
        Z coordinate axis is slice direction [This is the default]

  Bad Slice Detection

--metric
    Image-to-image similarity metric to compare neighbouring slices. Supported values: "ncc", "rms", where the default is "ncc", or use one of the following:

    --ncc
        Normalized cross correlation. [This is the default]

    --rms
        Root of mean squared differences.

--stdev-thresh <double>
    Threshold for bad slice identification in units of intensity standard deviations over all corresponding slices from the remaining diffusion images. [Default: 3]

  Output Options

--bad-slices-thresh <none>
    Minimum number of detected bad slices before reporting a volume (only number of detected bad slices is reported in this case, rather than each slice separately). [Default: 0]

AUTHORS
Torsten Rohlfing, with contributions from Michael P. Hasak, Greg Jefferis, Calvin R. Maurer, Daniel B. Russakoff, and Yaroslav Halchenko

LICENSE
http://www.fsf.org/licensing/licenses/gpl.html

BUGS
Report bugs at http://nitrc.org/projects/cmtk/

ACKNOWLEDGMENTS
CMTK is developed with support from the NIAAA under Grant AA021697, National Consortium on Alcohol and Neurodevelopment in Adolescence (N-CANDA): Data Integration Component. From April 2009 through September 2011, CMTK development and maintenance was supported by the NIBIB under Grant EB008381.